Namespaces | Classes

# geos::operation Namespace Reference

Provides classes for implementing operations on geometries. More...

## Namespaces
namespace | buffer

| Provides classes for computing buffers of geometries.
namespace | distance

| Provides classes for computing the distance between geometries.
namespace | linemerge

| Line merging package.
namespace | overlay

| Contains classes that perform a topological overlay to compute boolean spatial functions.
namespace | relate

| Contains classes to implement the computation of the spatial relationships of `Geometry`s.
namespace | valid

| Provides classes for testing the validity of geometries.
## Classes
class | GeometryGraphOperation
| The base class for operations that require GeometryGraph. More...
class | IsSimpleOp
| Tests whether a Geometry is simple. More...

## Detailed Description

Provides classes for implementing operations on geometries.